Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class StyleWithProperties

    java.lang.Object
      writer2latex.office.OfficeStyle
          writer2latex.office.StyleWithProperties

Direct Known Subclasses:
  PageLayout

    public class StyleWithProperties

extends OfficeStyle

Class representing a style in OOo which contains a style:properties element

Field Summary
`private PropertySet` | `backgroundImageProperties`
`private boolean` | `bHasFootnoteSep`
`private boolean` | `bIsOldProps`
`private static int` | `CELL`
`private static int` | `COLUMN`
`private static int` | `COUNT`
`private static int` | `DRAWPAGE`
`private PropertySet` | `footnoteSep`
`private static int` | `GRAPHIC`
`private int` | `nColCount`
`private static int` | `OLDPROPS`
`private static int` | `PAGE`
`private static int` | `PAR`
`private PropertySet[]` | `properties`
`private static int` | `ROW`
`private static int` | `SECTION`
`private static int` | `TABLE`
`private static int` | `TEXT`

Fields inherited from class writer2latex.office.OfficeStyle
`bAutomatic, family, sName`

Constructor Summary
`StyleWithProperties()`

Method Summary
`java.lang.String` | `getAbsoluteCellProperty(java.lang.String sName)`
`java.lang.String` | `getAbsoluteColumnProperty(java.lang.String sName)`
`java.lang.String` | `getAbsoluteGraphicProperty(java.lang.String sName)`
`java.lang.String` | `getAbsoluteLength(java.lang.String sProperty)`
`java.lang.String` | `getAbsoluteParProperty(java.lang.String sName)`
`protected java.lang.String` | `getAbsoluteProperty(int nIndex, java.lang.String sProperty)`
`java.lang.String` | `getAbsoluteProperty(java.lang.String sProperty)`
`java.lang.String` | `getAbsoluteRowProperty(java.lang.String sName)`
`java.lang.String` | `getAbsoluteSectionProperty(java.lang.String sName)`
`java.lang.String` | `getAbsoluteTableProperty(java.lang.String sName)`
`java.lang.String` | `getAbsoluteTextProperty(java.lang.String sName)`
`java.lang.String` | `getBackgroundImageProperty(java.lang.String sName)`
`java.lang.String` | `getCellProperty(java.lang.String sName, boolean bInherit)`
`int` | `getColCount()`
`java.lang.String` | `getColumnProperty(java.lang.String sName, boolean bInherit)`
`java.lang.String` | `getFootnoteProperty(java.lang.String sPropName)`
`java.lang.String` | `getGraphicProperty(java.lang.String sName, boolean bInherit)`
`java.lang.String` | `getParProperty(java.lang.String sName, boolean bInherit)`
`protected java.lang.String` | `getProperty(int nIndex, java.lang.String sName, boolean bInherit)`
`java.lang.String` | `getProperty(java.lang.String sProperty)`
`java.lang.String` | `getProperty(java.lang.String sProperty, boolean bInherit)`
`java.lang.String` | `getRowProperty(java.lang.String sName, boolean bInherit)`
`java.lang.String` | `getSectionProperty(java.lang.String sName, boolean bInherit)`
`java.lang.String` | `getTableProperty(java.lang.String sName, boolean bInherit)`
`java.lang.String` | `getTextProperty(java.lang.String sName, boolean bInherit)`
`boolean` | `hasFootnoteSep()`
`private void` | `loadPropertiesFromDOM(int nIndex, org.w3c.dom.Node node)`
`void` | `loadStyleFromDOM(org.w3c.dom.Node node)`

Methods inherited from class writer2latex.office.OfficeStyle
`getDisplayName, getFamily, getListStyleName, getMasterPageName, getName, getParentName, isAutomatic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OLDPROPS

    private static final int OLDPROPS

See Also:
  Constant Field Values

### TEXT

    private static final int TEXT

See Also:
  Constant Field Values

### PAR

    private static final int PAR

See Also:
  Constant Field Values

### SECTION

    private static final int SECTION

See Also:
  Constant Field Values

### TABLE

    private static final int TABLE

See Also:
  Constant Field Values

### COLUMN

    private static final int COLUMN

See Also:
  Constant Field Values

### ROW

    private static final int ROW

See Also:
  Constant Field Values

### CELL

    private static final int CELL

See Also:
  Constant Field Values

### GRAPHIC

    private static final int GRAPHIC

See Also:
  Constant Field Values

### PAGE

    private static final int PAGE

See Also:
  Constant Field Values

### DRAWPAGE

    private static final int DRAWPAGE

See Also:
  Constant Field Values

### COUNT

    private static final int COUNT

See Also:
  Constant Field Values

### properties

    private PropertySet[] properties

### bIsOldProps

    private boolean bIsOldProps

### backgroundImageProperties

    private PropertySet backgroundImageProperties

### nColCount

    private int nColCount

### bHasFootnoteSep

    private boolean bHasFootnoteSep

### footnoteSep

    private PropertySet footnoteSep

Constructor Detail

### StyleWithProperties

    public StyleWithProperties()

Method Detail

### loadStyleFromDOM

    public void loadStyleFromDOM(org.w3c.dom.Node node)

  Overrides:
    `loadStyleFromDOM` in class `OfficeStyle`

### loadPropertiesFromDOM

    private void loadPropertiesFromDOM(int nIndex,
                                       org.w3c.dom.Node node)

### getProperty

    protected java.lang.String getProperty(int nIndex,
                                           java.lang.String sName,
                                           boolean bInherit)

### getTextProperty

    public java.lang.String getTextProperty(java.lang.String sName,
                                            boolean bInherit)

### getParProperty

    public java.lang.String getParProperty(java.lang.String sName,
                                           boolean bInherit)

### getSectionProperty

    public java.lang.String getSectionProperty(java.lang.String sName,
                                               boolean bInherit)

### getTableProperty

    public java.lang.String getTableProperty(java.lang.String sName,
                                             boolean bInherit)

### getColumnProperty

    public java.lang.String getColumnProperty(java.lang.String sName,
                                              boolean bInherit)

### getRowProperty

    public java.lang.String getRowProperty(java.lang.String sName,
                                           boolean bInherit)

### getCellProperty

    public java.lang.String getCellProperty(java.lang.String sName,
                                            boolean bInherit)

### getGraphicProperty

    public java.lang.String getGraphicProperty(java.lang.String sName,
                                               boolean bInherit)

### getProperty

    public java.lang.String getProperty(java.lang.String sProperty,
                                        boolean bInherit)

### getProperty

    public java.lang.String getProperty(java.lang.String sProperty)

### getAbsoluteProperty

    protected java.lang.String getAbsoluteProperty(int nIndex,
                                                   java.lang.String sProperty)

### getAbsoluteTextProperty

    public java.lang.String getAbsoluteTextProperty(java.lang.String sName)

### getAbsoluteParProperty

    public java.lang.String getAbsoluteParProperty(java.lang.String sName)

### getAbsoluteSectionProperty

    public java.lang.String getAbsoluteSectionProperty(java.lang.String sName)

### getAbsoluteTableProperty

    public java.lang.String getAbsoluteTableProperty(java.lang.String sName)

### getAbsoluteColumnProperty

    public java.lang.String getAbsoluteColumnProperty(java.lang.String sName)

### getAbsoluteRowProperty

    public java.lang.String getAbsoluteRowProperty(java.lang.String sName)

### getAbsoluteCellProperty

    public java.lang.String getAbsoluteCellProperty(java.lang.String sName)

### getAbsoluteGraphicProperty

    public java.lang.String getAbsoluteGraphicProperty(java.lang.String sName)

### getAbsoluteProperty

    public java.lang.String getAbsoluteProperty(java.lang.String sProperty)

### getAbsoluteLength

    public java.lang.String getAbsoluteLength(java.lang.String sProperty)

### getBackgroundImageProperty

    public java.lang.String getBackgroundImageProperty(java.lang.String sName)

### getColCount

    public int getColCount()

### hasFootnoteSep

    public boolean hasFootnoteSep()

### getFootnoteProperty

    public java.lang.String getFootnoteProperty(java.lang.String sPropName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD